Bug 442318 - Reviewers should see all vender names when creating the cert
Summary: Reviewers should see all vender names when creating the cert
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: web site (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: XINSUN
QA Contact: Yu Shao
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-14 10:15 UTC by YangKun
Modified: 2008-06-23 07:39 UTC (History)
6 users (show)

Fixed In Version: (2.18rh) 2008/05/23 push
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-23 07:39:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The codes alternation, Hope it will be right to fix this bug. (655 bytes, patch)
2008-04-14 10:39 UTC, XINSUN
no flags Details | Diff
After discuss with rob, update the patch to a new one. (911 bytes, patch)
2008-04-16 07:47 UTC, XINSUN
no flags Details | Diff

Description YangKun 2008-04-14 10:15:57 UTC
Description of problem:
When reviewer creates a cert on our catalog, catalog should list all vendor
names, but currently it only shows 7 vendors(Acer Inc., AMD, Fujitsu, Fujitsu
Siemens Computers, Hewlett Packard, Hitachi, Unisys). This should be a bug.

Comment 1 XINSUN 2008-04-14 10:37:12 UTC
Rob and Yk, 
    I guess the group is wrong. I went through the codes related yk motioned.it
show  below: 
+++++++++++++++++++++++++++++++++++++++++++++++++++   
     my $admin = UserInGroup('hwcert');
+++++++++++++++++++++++++++++++++++++++++++++++++++

     I do an alternation for this code which are in the patch attachment. 
Then it shows 26 vendors in the "vendor" dropdown list of enter.cgi (all vendors
in our database).
      Pls help me to review it and see if it is match the requirement.

Best Regards!
Nicho


Comment 2 XINSUN 2008-04-14 10:39:31 UTC
Created attachment 302326 [details]
The codes alternation, Hope it will be right to fix this bug.

Comment 3 XINSUN 2008-04-16 07:47:14 UTC
Created attachment 302558 [details]
After discuss with rob, update the patch to a new one.

Comment 4 XINSUN 2008-04-16 07:48:40 UTC
Comment on attachment 302326 [details]
The codes alternation, Hope it will be right to fix this bug.

obsolete this patch.

Comment 5 XINSUN 2008-05-14 13:30:04 UTC
Patch has been summited into cvs 


Note You need to log in before you can comment on or make changes to this bug.